import { jsx } from "react/jsx-runtime";
import { TokenROSE as TokenROSE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenROSE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ROSE", "data-name": "TokenROSE", ...props, children: /* @__PURE__ */ jsx(TokenROSE$1, { variant }) });
  }
);
TokenROSE.displayName = "TokenROSE";
Object.assign(TokenROSE, { isGdsIcon: true });
export {
  TokenROSE
};
